Bug 1583790 - UI Worker Exceeding Memory Trying to View Hosts for VMware Provider
Summary: UI Worker Exceeding Memory Trying to View Hosts for VMware Provider
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Nick LaMuro
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:infra:provider:host
Keywords: ZStream
Depends On: 1580569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-29 17:17 UTC by Satoe Imaishi
Modified: 2018-06-25 14:21 UTC (History)
7 users (show)

(edit)
Clone Of: 1580569
(edit)
Last Closed: 2018-06-25 14:20:46 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:21 UTC

Comment 2 CFME Bot 2018-06-01 17:36:36 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/c2dfbe131e3687ce5bf64d9744507a0555c86dfe
commit c2dfbe131e3687ce5bf64d9744507a0555c86dfe
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu May 24 13:18:01 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Thu May 24 13:18:01 2018 -0400

    Merge pull request #3989 from NickLaMuro/remove_compliances_include_from_Host_yaml_report

    Remove compliances include from Host.yaml
    (cherry picked from commit c13a47d824e548b20f6fbbed857ae4f4e4255dde)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1583790

 product/views/Host.yaml | 1 -
 1 file changed, 1 deletion(-)

Comment 3 Matouš Mojžíš 2018-06-19 16:22:05 UTC
Verified in 5.8.4.5.
With provided script I was able to view 250 VmWare hosts without errors and view was loaded fast.
Also this script was executed was with no issues:
MiqReport.load_from_view_options(Host, User.where(:userid => 'admin').first).paged_view_search

Comment 5 errata-xmlrpc 2018-06-25 14:20:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.